# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Defines

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Texture.cpp File Reference

`#include <vlGraphics/Texture.hpp>`
`#include <vlCore/checks.hpp>`
`#include <vlCore/Image.hpp>`
`#include <vlCore/math_utils.hpp>`
`#include <vlCore/Say.hpp>`
`#include <vlCore/Log.hpp>`

Go to the source code of this file.

## Defines

#define | VL_IS_POW_2(x) ((x != 0) && ((x & (x - 1)) == 0))

## Define Documentation

#define VL_IS_POW_2 | ( |  | x ) | ((x != 0) && ((x & (x - 1)) == 0))

Referenced by vl::Texture::setMipLevel().

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.